import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # Horizonta Rule (hr)
 * @className twui-hr
 */
export default function HR({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLHRElement>, HTMLHRElement>) {
    return (
        <hr
            {...props}
            className={twMerge(
                "border-slate-200 dark:border-white/10 w-full my-4",
                "twui-hr",
                props.className
            )}
        />
    );
}
